6.0.0-git
2019-04-25

[#11059] Sending S/MIME encrypted messages fails
Summary Sending S/MIME encrypted messages fails
Queue IMP
Queue Version 5.0.19
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester kd (at) tu-cottbus (dot) de
Created 2012-03-07 (2605 days ago)
Due
Updated 2015-05-13 (1443 days ago)
Assigned
Resolved 2012-03-07 (2605 days ago)
Milestone
Patch Yes

History
2012-03-08 01:09:10 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (develop):

commit f438845b7cdc8863579e27584ee642aec6e53d16
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Mar 7 13:31:12 2012 -0700

     Bug #11059: Yet more botched merge fixes.

  imp/lib/Compose.php |    7 ++++---
  1 files changed, 4 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/f438845b7cdc8863579e27584ee642aec6e53d16
2012-03-07 20:31:49 Michael Slusarz Assigned to Michael Slusarz
State ⇒ Resolved
 
2012-03-07 20:31:37 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit f438845b7cdc8863579e27584ee642aec6e53d16
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Mar 7 13:31:12 2012 -0700

     Bug #11059: Yet more botched merge fixes.

  imp/lib/Compose.php |    7 ++++---
  1 files changed, 4 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/f438845b7cdc8863579e27584ee642aec6e53d16
2012-03-07 14:56:52 kd (at) tu-cottbus (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Sending S/MIME encrypted messages fails
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ Yes
New Attachment: smime.patch Download
Reply to this comment
When trying to send an S/MIME encrypted message I get
S/MIME error: invalid e-mail
and the following log entry
WARN: HORDE [imp] PHP ERROR: strlen() expects parameter 1 to be 
string, array given [pid 8904 on line 150 of 
"/data/pear/php/Horde/Mail/Rfc822.php"]

Dirty fix attached.

Saved Queries